import QtQuick 2.0
import QtMultimedia 5.3

Rectangle {
    width: 800
    height: 480

    focus: true // to get key events
    Keys.onReleased: {
        if (event.key == Qt.Key_Back) {
            event.accepted = true
            Qt.quit()
        }
    }

    Camera {
        id: camera
        videoRecorder {
            resolution: "640x480"
            frameRate: 30
        }
    }

    VideoOutput {
        anchors.fill: parent
        source: camera
        autoOrientation: true
    }
}
